#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2023-12-28
# File  : fritzbox_smarthome.py (views)


from cmk.gui.views.inventory.registry import inventory_displayhints

from cmk.gui.i18n import _l

inventory_displayhints.update({
    '.hardware.avm.': {
        'title': _l('AVM'),
    },
    '.hardware.avm.smart_home_devices:': {
        'title': _l('Smart home devices'),
        'view': 'invavmsmarthomedevices_of_host',
        'keyorder': [
            'id',
            'name',
            'manufacturer',
            'product_name',
            'fw_version',
            'identifier',
            'functions',
        ]
    },
    '.hardware.avm.smart_home_devices:*.id': {'title': _l('ID')},
    '.hardware.avm.smart_home_devices:*.name': {'title': _l('Name')},
    '.hardware.avm.smart_home_devices:*.manufacturer': {'title': _l('Manufacturer')},
    '.hardware.avm.smart_home_devices:*.product_name': {'title': _l('Product name')},
    '.hardware.avm.smart_home_devices:*.fw_version': {'title': _l('Firmware version')},
    '.hardware.avm.smart_home_devices:*.identifier': {'title': _l('Identifier')},
    '.hardware.avm.smart_home_devices:*.functions': {'title': _l('Functions')},
})
